Name:       perl-DBD-Multi 
Version:    0.14 
Release:        2%{?dist}
# see Makefile.PL
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    DB Proxy with failover and load balancing 
Source:     http://search.cpan.org/CPAN/authors/id/D/DW/DWRIGHT/DBD-Multi-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/DBD-Multi
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Class::Accessor::Fast) >= 0.19
BuildRequires: perl(DBD::SQLite) >= 1.09
BuildRequires: perl(DBI)
BuildRequires: perl(List::Util) >= 1.18
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Sys::SigAction) >= 0.1
BuildRequires: perl(Test::Exception) >= 0.21
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.14
BuildRequires: perl(Test::Pod::Coverage) >= 1.04

# not picked up due to 'use base'
Requires:      perl(Class::Accessor::Fast) >= 0.19

%description
This software manages multiple database connections for failovers and also
simple load balancing. It acts as a proxy between your code and your
database connections, transparently choosing a connection for each query,
based on your preferences and present availability of the DB server.

%prep
%setup -q -n DBD-Multi-%{version}

%{__perl} -pi -e 's|^#!perl|#!%{__perl}|' t/*.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README t/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Oct 15 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.14-2
- bump

* Sun Oct 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.1)

